Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.RibbonUI
org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonUI

public class SubstanceRibbonUI extends org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI
UI for ribbon in Substance look and feel.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`SubstanceRibbonUI.SubstanceBandHostPanel`
Panel for hosting ribbon bands.
`protected class`
`SubstanceRibbonUI.SubstanceRibbonLayout`
`protected class`
`SubstanceRibbonUI.SubstanceTaskToggleButtonsHostPanel`
Panel for hosting task toggle buttons.

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI

`org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI.BandHostPanel, org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI.BandHostPopupPanel, org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI.RibbonLayout, org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI.TaskToggleButtonsHostPanel`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JComponent`
`tabPanelHeaderBackground`
This component extends across the full width of the tab row so that header backgrounds can be properly painted

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI

`applicationMenuButton, bandScrollablePanel, HELP_PANEL_COMPONENTS, helpButton, helpPanel, IS_USING_TITLE_PANE, propertyChangeListener, ribbon, ribbonChangeListener, ribbonComponentListener, ribbonContainerListener, taskBarPanel, taskToggleButtonGroup, taskToggleButtons, taskToggleButtonsScrollablePanel`

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.RibbonUI

`applicationIcon`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceRibbonUI()`

## Method Summary

Modifier and Type
Method
Description
`protected org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI.BandHostPanel`
`createBandHostPanel()`
`protected LayoutManager`
`createLayoutManager()`
`protected org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI.TaskToggleButtonsHostPanel`
`createTaskToggleButtonsHostPanel()`
`static ComponentUI`
`createUI(JComponent comp)`
`protected int`
`getTabButtonGap()`
`protected void`
`installComponents()`
`protected void`
`installDefaults()`
`protected void`
`paintBackground(Graphics g)`
`protected void`
`paintMinimizedRibbonSeparator(Graphics g)`
`protected void`
`paintTaskArea(Graphics g, int x, int y, int width, int height)`
`protected void`
`syncApplicationMenuTips()`
`protected void`
`uninstallComponents()`
`protected void`
`uninstallDefaults()`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI

`createBandHostPanelLayoutManager, createTaskbarLayoutManager, createTaskToggleButtonsHostPanelLayoutManager, getBandGap, getContextualTaskGroupBounds, getCurrentlyShownRibbonTasks, getTaskbarHeight, getTaskToggleButtonHeight, getTaskToggleButtons, handleMouseWheelEvent, installListeners, installUI, isShowingScrollsForBands, isShowingScrollsForTaskToggleButtons, isUsingTitlePane, paint, scrollAndRevealTaskToggleButton, setApplicationIcon, syncRibbonState, uninstallListeners, uninstallUI, update`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.RibbonUI

`getApplicationIcon`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tabPanelHeaderBackground

protected JComponent tabPanelHeaderBackground
This component extends across the full width of the tab row so that header backgrounds can be properly painted

## Constructor Details

### SubstanceRibbonUI

public SubstanceRibbonUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### uninstallDefaults

protected void uninstallDefaults()

Overrides:
  `uninstallDefaults` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### installComponents

protected void installComponents()

Overrides:
  `installComponents` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### uninstallComponents

protected void uninstallComponents()

Overrides:
  `uninstallComponents` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### createLayoutManager

protected LayoutManager createLayoutManager()

Overrides:
  `createLayoutManager` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### createTaskToggleButtonsHostPanel

protected org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI.TaskToggleButtonsHostPanel createTaskToggleButtonsHostPanel()

Overrides:
  `createTaskToggleButtonsHostPanel` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### createBandHostPanel

protected org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI.BandHostPanel createBandHostPanel()

Overrides:
  `createBandHostPanel` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### paintBackground

protected void paintBackground(Graphics g)

Overrides:
  `paintBackground` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### paintTaskArea

protected void paintTaskArea(Graphics g, int x, int y, int width, int height)

Overrides:
  `paintTaskArea` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### getTabButtonGap

protected int getTabButtonGap()

Overrides:
  `getTabButtonGap` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### syncApplicationMenuTips

protected void syncApplicationMenuTips()

Overrides:
  `syncApplicationMenuTips` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`

### paintMinimizedRibbonSeparator

protected void paintMinimizedRibbonSeparator(Graphics g)

Overrides:
  `paintMinimizedRibbonSeparator` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonUI`